#import sys
#sys.path.append('L:/tmp/skylineEngine')

import sys
skylineEnginePath = 'L:/tmp/skylineEngine/'
skylineEngineDemosPath = skylineEnginePath + 'Demos/'
sys.path.append(skylineEnginePath + 'FileReaders')
sys.path.append(skylineEnginePath + 'Network')
sys.path.append(skylineEnginePath + 'buildingEngine')

import XMLShapeFileReader
import simpleBuilding
import network

print "========================================================"
print "=                 skylineEngine v2.0                   ="
print "=            Geometry and Graphics Group               ="
print "=            Universitat de Girona, Spain              ="
print "=          (c) GGG - all rights reserved               ="
print "========================================================"
print "    http://ima.udg.edu/~dagush/Projects/skylineEngine   "
print "========================================================"

def mainSB():
	simpleBuilding.buildBuildingHDA(skylineEngineDemosPath + 'Textures/')	

def mainGi():
	network.main(skylineEngineDemosPath,'girona.xml')

def mainRadial():
	network.main(skylineEngineDemosPath,'radial.xml')
	
def mainGrid():
	network.main(skylineEngineDemosPath,'grid.xml')
	
def mainGridWater():
	network.main(skylineEngineDemosPath,'gaigua.xml')
	
def mainDistricts():
	network.main(skylineEngineDemosPath,'districts.xml')